package sdlip;

import org.omg.CORBA.IntHolder;

/**
 * This is the SDLIP ResultAccess interface.
 */

public interface ResultAccess
{

  public static final int CANCEL_ALL_REQUESTS = 0;

  public void getSessionInfo(
			     int serverSID,
			     IntHolder expectedTotal,
			     IntHolder stateTimeout
			     )
    throws SDLIPException ;
  
  public void getDocs(
		      int serverSID,
		      int reqID,
		      XMLObject docPropList,
		      String docsToGet,
		      XMLObject res )
    throws SDLIPException ;
  
  public void extendStateTimeout(
				 int serverSID,
				 int additionalTime,
				 IntHolder timeAllotted )
    throws SDLIPException ;

  public void cancelRequest(
			    int serverSID,
			    int reqID // or CANCEL_ALL_REQUESTS
			    )
    throws SDLIPException ;

  /*
  public void removeDocs(
			 int serverSID,
			 String docsToRemove )
    throws SDLIP.SDLIPException ;
    */
}

