package sdlip;

/**
 * This interface defined the tag names used in SDLIP
 * and in the SDLIP/DASL binding.
 */

public interface SDLIP {

  /** The SDLIP namespace.
   * <br>WARNING: subject to change due to legal issues.
   * Avoid using it as text; always use the variable instead!
   */
  public static final String Namespace = "http://interlib.org/SDLIP/1.0#";

  /** Search result */
  public static final String SearchResult = Namespace + "SearchResult";
  public static final String DID = Namespace + "DID";
  public static final String doc = Namespace + "doc";

  /** Delegation */
  public static final String redirect = Namespace + "redirect";
  public static final String serverDelegate = Namespace + "serverDelegate";

  /** Subcollections */
  public static final String subcols = Namespace + "subcols";
  public static final String subcolName = Namespace + "subcolName";
  public static final String resSet = Namespace + "resSet";

  /** Metadata access: subcollections */
  public static final String subcolDesc = Namespace + "subcolDesc";
  public static final String defaultSubcol = Namespace + "defaultSubcol";
  public static final String queryLangs = Namespace + "queryLangs";

  /** Metadata access: supported interfaces */
  public static final String SDLIPInterface = Namespace + "SDLIPInterface";
  public static final String version = Namespace + "version";
  public static final String SearchInterface = Namespace + "SearchInterface";
  public static final String ResultAccessInterface = Namespace + "ResultAccessInterface";
  public static final String MetadataInterface = Namespace + "MetadataInterface";

  /** BASE64-encoded binary data */
  public static final String base64 = Namespace + "base64";

  /** list of properties */
  public static final String propList = Namespace + "propList";

  public static final String searchable = Namespace + "searchable";
  public static final String retrievable = Namespace + "retrievable";


  /** Used for the SDLIP/CORBA binding */
  public static final String NameServerURISchema = "sdlipns";
  public static final int NameServerDefaultPort = 8181;
  public static final String NameServerJVMParName = "sdlip.CORBA.NS.port";

  /** Used for the Dienst binding */
  public static final String DienstServerURISchema = "dienst";

  /** Used for the SDLIP/DASL binding */
  public static final String SID = "http://interlib.org/SDLIP/SID/";
  public static final String fakeDID = "http://interlib.org/SDLIP/DID/";

  public static final String exception = Namespace + "exception";
  public static final String exceptionCode = Namespace + "exceptionCode";

  public static final String clientSID = Namespace + "clientSID";
  public static final String serverSID = Namespace + "serverSID";
  public static final String reqID = Namespace + "reqID";

  public static final String stateTimeoutReq = Namespace + "stateTimeoutReq";
  public static final String stateTimeout = Namespace + "stateTimeout";

  public static final String SearchRequest = Namespace + "SearchRequest";
  public static final String numDocs = Namespace + "numDocs";
  public static final String query = Namespace + "query";
  public static final String queryOptions = Namespace + "queryOptions";

  /** getSessionInfo method */
  public static final String GetSessionInfo = Namespace + "getSessionInfo";
  public static final String SessionInfo = Namespace + "sessionInfo";
  public static final String expectedTotal = Namespace + "expectedTotal";

  /** cancelRequest method */
  public static final String CancelRequest = Namespace + "cancelRequest";

  /** getDocs method */
  public static final String GetDocs = Namespace + "getDocs";
  public static final String docSelection = Namespace + "docSelection";

  /** extendStateTimeout method */
  public static final String ExtendStateTimeout = Namespace + "extendStateTimeout";

  /* * removeDocs method * /
  public static final String RemoveDocs = Namespace + "removeDocs";
  */

  /** getInterface method */
  public static final String GetInterface = Namespace + "getInterface";

  /** getSubcollectionInfo method */
  public static final String GetSubcollectionInfo = Namespace + "getSubcollectionInfo";

  /** getPropertyInfo method */
  public static final String GetPropertyInfo = Namespace + "getPropertyInfo";
  public static final String subcolInfo = Namespace + "subcolInfo";
  public static final String subcol = Namespace + "subcol";

  public static final String propName = Namespace + "propName";
  public static final String propDesc = Namespace + "propDesc";

}
