package sdlip;

import org.omg.CORBA.IntHolder;

/**
 * This is the Java binding of the SDLIP Search interface.
 */

public interface Search {

  public static final int RETURN_ALL_DOCS = -1;
  public static final int MAINTAIN_UNLIMITED = -1;
  public static final int UNKNOWABLE = -1;
  public static final int NOT_YET_KNOWN = -2;

  public void search(
		     int clientSID,                      // Client-side session ID
		     XMLObject subcols,                  // Choice of collections to search
		     XMLObject query,                    // The query
		     int numDocs,                        // Number of docs to return or RETURN_ALL_DOCS
		     XMLObject docPropList,              // Properties to return for each doc
		     int stateTimeoutReq,                // Number of seconds to maintain or MAINTAIN_UNLIMITED
		     XMLObject queryOptions,             // Additional info for the LSP
		     IntHolder expectedTotal,            // Expected number of results or UNKNOWABLE or NOT_YET_KNOWN
		     IntHolder stateTimeout,             // state timeout set at the server
		     IntHolder serverSID,                // Server-side session ID
		     XMLObject serverDelegate,           // Address for future service requests
		     XMLObject result )

    throws SDLIPException ;

}
