package sdlip.helpers;

import java.io.*;

public class DBG {

  public static final int SILENT = 0;
  public static final int SHORT = 1;
  public static final int VERBOSE = 2;

  PrintStream out = System.err;
  int debugLevel = SILENT;

  /**
   * Silent
   */
  public DBG() {
  }

  /**
   * to standard error
   */
  public DBG(int debugLevel) {
    
    this.debugLevel = debugLevel;
  }
  
  public DBG(int debugLevel, PrintStream out) {

    this.debugLevel = debugLevel;
    this.out = out;
  }

  public void println(int debugLevel, String msg) {

    if(this.debugLevel >= debugLevel)
      out.println(msg);
  }

  public void println(Exception any) {

    if(debugLevel >= VERBOSE)
      any.printStackTrace(out);
  }

  public int getLevel() {
    return debugLevel;
  }

  public boolean is(int debugLevel) {
    return this.debugLevel >= debugLevel;
  }

}

