package sdlip.xml.dom;

import org.w3c.dom.*;

public class AttrImpl 
    extends NodeImpl 
    implements Attr {

    public AttrImpl(DocumentImpl ownerDocument, String name) {
    	super(ownerDocument, name, null);
    }

    // Node methods
    public short getNodeType() {
        return Node.ATTRIBUTE_NODE;
    }

    public void setNodeValue(String value) throws DOMException {
    	setValue(value);
    }

    public String getNodeValue() {
    	return getValue();
    }

    // Attr methods
    public String getName() {

    	return name;

    }

    public void setValue(String value) {

        // Remove existing kids
        firstChild   = null;
        lastChild    = null;

        // Create and add the new one
    	if (value != null) {
	  appendChild(ownerDocument.createTextNode(value));
        }

    }

    public String getValue() {

    	StringBuffer value = new StringBuffer();
    	Node node = getFirstChild();
    	while (node != null) {
    		value.append(node.getNodeValue());
    		node = node.getNextSibling();
    	}
    	return value.toString();

    }

    public boolean getSpecified() {
    	return true;
    }

    public String toString() {
    	return getName() + "=" + "\"" + getValue() + "\"";
    }

}

