package sdlip.xml.dom;

import org.w3c.dom.*;

public class TextImpl 
    extends CharacterDataImpl 
    implements Text {

    //
    // Constructors
    //

    /** Factory constructor. */
    public TextImpl(DocumentImpl ownerDoc, String data) {
        super(ownerDoc, data);
    }  
    
    //
    // Node methods
    //

    public short getNodeType() {
        return Node.TEXT_NODE;
    }

    /** Returns the node name. */
    public String getNodeName() {
        return "#text";
    }
    
    /** Clones this node. */
    public Node cloneNode(boolean deep) {
        return ownerDocument.createTextNode(getNodeValue());
    }  

    //
    // Text methods
    //

    public Text splitText(int offset) 
        throws DOMException {

    	if (offset < 0 || offset > value.length() - 1) {
    		throw new DOMExceptionImpl(DOMException.INDEX_SIZE_ERR, null);
        }
    		
        // split text into two separate nodes
    	Text newText = ownerDocument.createTextNode(value.substring(offset));
    	setNodeValue(value.substring(0, offset));

        // insert new text node
    	if (parentNode != null) {
    		parentNode.insertBefore(newText, nextSibling);
        }

    	return newText;

    } // splitText(int):Text


} // class TextImpl
